Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5116)
@@ -1627,5 +1616,5 @@
 ! Determine timestep relative to the 1st day of TOGA-COARE:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) then
+!       if (annee_ref.eq.1992) THEN
 !        timeit=(day-day_ini_toga)*86400.
 !       else
@@ -1640,6 +1629,6 @@
        time_toga2=(it_toga2-1)*dt_toga
 
-       if (it_toga1 .ge. nt_toga) then
-        write(*,*) 'PB-stop: day, it_toga1, it_toga2, timeit: '            &
+       if (it_toga1 .ge. nt_toga) THEN
+        WRITE(*,*) 'PB-stop: day, it_toga1, it_toga2, timeit: '            &
      &        ,day,it_toga1,it_toga2,timeit/86400.
         stop
@@ -1680,5 +1669,5 @@
         enddo
 
-        return
+        RETURN
         END
 
@@ -1727,20 +1716,20 @@
 
 
-        if (forcing_type.eq.7) then
+        if (forcing_type.eq.7) THEN
 ! Check that initial day of the simulation consistent with Dice period:
        print *,'annee_ref=',annee_ref
        print *,'day1=',day1
        print *,'day_ini_dice=',day_ini_dice
-       if (annee_ref.ne.1999) then
+       if (annee_ref.ne.1999) THEN
         PRINT*,'Pour Dice, annee_ref doit etre 1999'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.1999 .and. day1.gt.day_ini_dice) then
+       if (annee_ref.eq.1999 .and. day1.gt.day_ini_dice) THEN
         PRINT*,'Dice a debute le 23 Oct 1999 (jour julien=296)'
         PRINT*,'Changer dayref dans run.def',day1,day_ini_dice
         stop
        endif
-       if (annee_ref.eq.1999 .and. day1.gt.day_ini_dice+2) then
+       if (annee_ref.eq.1999 .and. day1.gt.day_ini_dice+2) THEN
         PRINT*,'Dice a fini le 25 Oct 1999 (jour julien=298)'
         PRINT*,'Changer dayref ou nday dans run.def',day1,day_ini_dice
@@ -1752,5 +1741,5 @@
 ! Determine timestep relative to the 1st day of TOGA-COARE:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) then
+!       if (annee_ref.eq.1992) THEN
 !        timeit=(day-day_ini_dice)*86400.
 !       else
@@ -1765,6 +1754,6 @@
        time_dice2=(it_dice2-1)*dt_dice
 
-       if (it_dice1 .ge. nt_dice) then
-        write(*,*) 'PB-stop: day, it_dice1, it_dice2, timeit: ',day,it_dice1,it_dice2,timeit/86400.
+       if (it_dice1 .ge. nt_dice) THEN
+        WRITE(*,*) 'PB-stop: day, it_dice1, it_dice2, timeit: ',day,it_dice1,it_dice2,timeit/86400.
         stop
        endif
@@ -1797,5 +1786,5 @@
         enddo
 
-        return
+        RETURN
         END
 
@@ -1836,19 +1825,19 @@
 
 ! Check that initial day of the simulation consistent with gabls4 period:
-       if (forcing_type.eq.8 ) then
+       if (forcing_type.eq.8 ) THEN
        print *,'annee_ref=',annee_ref
        print *,'day1=',day1
        print *,'day_ini_gabls4=',day_ini_gabls4
-       if (annee_ref.ne.2009) then
+       if (annee_ref.ne.2009) THEN
         PRINT*,'Pour gabls4, annee_ref doit etre 2009'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.2009 .and. day1.gt.day_ini_gabls4) then
+       if (annee_ref.eq.2009 .and. day1.gt.day_ini_gabls4) THEN
         PRINT*,'gabls4 a debute le 11 dec 2009 (jour julien=345)'
         PRINT*,'Changer dayref dans run.def',day1,day_ini_gabls4
         stop
        endif
-       if (annee_ref.eq.2009 .and. day1.gt.day_ini_gabls4+2) then
+       if (annee_ref.eq.2009 .and. day1.gt.day_ini_gabls4+2) THEN
         PRINT*,'gabls4 a fini le 12 dec 2009 (jour julien=346)'
         PRINT*,'Changer dayref ou nday dans run.def',day1,day_ini_gabls4
@@ -1867,6 +1856,6 @@
        time_gabls42=(it_gabls42-1)*dt_gabls4
 
-       if (it_gabls41 .ge. nt_gabls4) then
-        write(*,*) 'PB-stop: day, it_gabls41, it_gabls42, timeit: ',day,it_gabls41,it_gabls42,timeit/86400.
+       if (it_gabls41 .ge. nt_gabls4) THEN
+        WRITE(*,*) 'PB-stop: day, it_gabls41, it_gabls42, timeit: ',day,it_gabls41,it_gabls42,timeit/86400.
         stop
        endif
@@ -1884,5 +1873,5 @@
         enddo
         tg_prof=tg_gabls4(it_gabls42)-frac*(tg_gabls4(it_gabls42)-tg_gabls4(it_gabls41))
-        return
+        RETURN
         END
 
@@ -1920,5 +1909,5 @@
 
 ! Check that initial day of the simulation consistent with ARMCU period:
-       if (annee_ref.ne.1997 ) then
+       if (annee_ref.ne.1997 ) THEN
         PRINT*,'Pour ARMCU, annee_ref doit etre 1997 '
         PRINT*,'Changer annee_ref dans run.def'
@@ -1937,6 +1926,6 @@
      &          it_armcu1,it_armcu2,time_armcu1,time_armcu2
 
-       if (it_armcu1 .ge. nt_armcu) then
-        write(*,*) 'PB-stop: day, it_armcu1, it_armcu2, timeit: '          &
+       if (it_armcu1 .ge. nt_armcu) THEN
+        WRITE(*,*) 'PB-stop: day, it_armcu1, it_armcu2, timeit: '          &
      &        ,day,it_armcu1,it_armcu2,timeit/86400.
         stop
@@ -1963,5 +1952,5 @@
      &it_armcu2,fs_prof,fl_prof,at_prof,rt_prof,aqt_prof
 
-        return
+        RETURN
         END
 
@@ -1986,7 +1975,7 @@
 
         integer, parameter :: ilesfile=1
-        integer :: ierr,k,itrac,nt1,nt2
-
-        if(.not.(llesread)) return
+        INTEGER :: ierr,k,itrac,nt1,nt2
+
+        IF(.not.(llesread)) return
 
        open (ilesfile,file='prof.inp.001',status='old',iostat=ierr)
@@ -2002,5 +1991,5 @@
         if (ierr /= 0) stop 'ERROR:Lscale.inp does not exist'
         read (ilesfile,*) kmax2
-        if (kmax .ne. kmax2) then
+        if (kmax .ne. kmax2) THEN
           print *, 'fichiers prof.inp et lscale.inp incompatibles :'
           print *, 'nbre de niveaux : ',kmax,' et ',kmax2
@@ -2012,5 +2001,5 @@
         END DO
         do k=1,kmax
-          if (height(k) .ne. height1(k)) then
+          if (height(k) .ne. height1(k)) THEN
             print *, 'fichiers prof.inp et lscale.inp incompatibles :'
             print *, 'les niveaux different : ',k,height1(k), height(k)
@@ -2021,12 +2010,12 @@
 
        open(ilesfile,file='trac.inp.001',status='old',iostat=ierr)
-        if (ierr /= 0) then
+        if (ierr /= 0) THEN
             PRINT*,'WARNING : trac.inp does not exist'
         else
         read (ilesfile,*) kmax2,nt1,nt2
-        if (nt2>ntrac) then
+        if (nt2>ntrac) THEN
           stop 'Augmenter le nombre de traceurs dans traceur.def'
         endif
-        if (kmax .ne. kmax2) then
+        if (kmax .ne. kmax2) THEN
           print *, 'fichiers prof.inp et lscale.inp incompatibles :'
           print *, 'nbre de niveaux : ',kmax,' et ',kmax2
@@ -2039,5 +2028,5 @@
         endif
 
-        return
+        RETURN
         end
 !======================================================================
@@ -2056,7 +2045,7 @@
 
         integer, parameter :: ilesfile=1
-        integer :: k,ierr
-
-        if(.not.(llesread)) return
+        INTEGER :: k,ierr
+
+        IF(.not.(llesread)) return
 
        open (ilesfile,file='prof.inp.001',status='old',iostat=ierr)
@@ -2070,5 +2059,5 @@
         close(ilesfile)
 
-        return
+        RETURN
         end
 
@@ -2088,7 +2077,7 @@
 
         integer, parameter :: ilesfile=1
-        integer :: ierr,k
-
-        if(.not.(llesread)) return
+        INTEGER :: ierr,k
+
+        IF(.not.(llesread)) return
 
        open (ilesfile,file='prof.inp.001',status='old',iostat=ierr)
@@ -2102,5 +2091,5 @@
         close(ilesfile)
 
-        return
+        RETURN
         end
 
@@ -2123,7 +2112,7 @@
         integer, parameter :: ilesfile=1
         integer, parameter :: ifile=2
-        integer :: ierr,jtot,k
-
-        if(.not.(llesread)) return
+        INTEGER :: ierr,jtot,k
+
+        IF(.not.(llesread)) return
 
 ! Read profiles at full levels
@@ -2159,5 +2148,5 @@
         close(ifile)
 
-        return
+        RETURN
         end
 
@@ -2191,7 +2180,7 @@
 
       ierr = nf90_open(fich_fire,nf90_nowrite,nid)
-      if (ierr.NE.nf90_noerr) then
-         write(*,*) 'ERROR: Pb opening forcings nc file '
-         write(*,*) nf90_strerror(ierr)
+      if (ierr.NE.nf90_noerr) THEN
+         WRITE(*,*) 'ERROR: Pb opening forcings nc file '
+         WRITE(*,*) nf90_strerror(ierr)
          stop ""
       endif
@@ -2199,6 +2188,6 @@
 
        ierr=nf90_inq_varid(nid,"zz",var3didin(1))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'lev'
          endif
@@ -2206,72 +2195,72 @@
 
       ierr=nf90_inq_varid(nid,"thetal",var3didin(2))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'temp'
          endif
 
       ierr=nf90_inq_varid(nid,"qt",var3didin(3))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
       ierr=nf90_inq_varid(nid,"u",var3didin(4))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
       ierr=nf90_inq_varid(nid,"v",var3didin(5))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
       ierr=nf90_inq_varid(nid,"tke",var3didin(6))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'tke'
          endif
 
       ierr=nf90_inq_varid(nid,"ugeo",var3didin(7))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'ug'
          endif
 
       ierr=nf90_inq_varid(nid,"vgeo",var3didin(8))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'vg'
          endif
       
       ierr=nf90_inq_varid(nid,"wls",var3didin(9))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'wls'
          endif
 
       ierr=nf90_inq_varid(nid,"dqtdx",var3didin(10))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'dqtdx'
          endif
 
       ierr=nf90_inq_varid(nid,"dqtdy",var3didin(11))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'dqtdy'
       endif
 
       ierr=nf90_inq_varid(nid,"dqtdt",var3didin(12))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'dqtdt'
       endif
 
       ierr=nf90_inq_varid(nid,"thl_rad",var3didin(13))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'thl_rad'
       endif
@@ -2280,96 +2269,96 @@
  
          ierr = nf90_get_var(nid,var3didin(1),zz)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture z ok',zz
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture z ok',zz
 
          ierr = nf90_get_var(nid,var3didin(2),thl)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture thl ok',thl
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture thl ok',thl
 
          ierr = nf90_get_var(nid,var3didin(3),qt)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture qt ok',qt
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture qt ok',qt
  
          ierr = nf90_get_var(nid,var3didin(4),u)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture u ok',u
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture u ok',u
 
          ierr = nf90_get_var(nid,var3didin(5),v)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture v ok',v
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture v ok',v
 
          ierr = nf90_get_var(nid,var3didin(6),tke)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture tke ok',tke
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture tke ok',tke
 
          ierr = nf90_get_var(nid,var3didin(7),ug)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture ug ok',ug
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture ug ok',ug
 
          ierr = nf90_get_var(nid,var3didin(8),vg)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture vg ok',vg
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture vg ok',vg
 
          ierr = nf90_get_var(nid,var3didin(9),wls)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture wls ok',wls
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture wls ok',wls
 
          ierr = nf90_get_var(nid,var3didin(10),dqtdx)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dqtdx ok',dqtdx
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dqtdx ok',dqtdx
 
          ierr = nf90_get_var(nid,var3didin(11),dqtdy)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dqtdy ok',dqtdy
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dqtdy ok',dqtdy
 
          ierr = nf90_get_var(nid,var3didin(12),dqtdt)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dqtdt ok',dqtdt
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dqtdt ok',dqtdt
 
          ierr = nf90_get_var(nid,var3didin(13),thl_rad)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture thl_rad ok',thl_rad
-
-
-         end subroutine read_fire
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture thl_rad ok',thl_rad
+
+
+         END SUBROUTINE read_fire
 !=====================================================================
       subroutine read_dice(fich_dice,nlevel,ntime                         &
@@ -2408,7 +2397,7 @@
       pzero=100000.
       ierr = nf90_open(fich_dice,nf90_nowrite,nid)
-      if (ierr.NE.nf90_noerr) then
-         write(*,*) 'ERROR: Pb opening forcings nc file '
-         write(*,*) nf90_strerror(ierr)
+      if (ierr.NE.nf90_noerr) THEN
+         WRITE(*,*) 'ERROR: Pb opening forcings nc file '
+         WRITE(*,*) nf90_strerror(ierr)
          stop ""
       endif
@@ -2416,132 +2405,132 @@
 
        ierr=nf90_inq_varid(nid,"height",var3didin(1))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'height'
          endif
 
        ierr=nf90_inq_varid(nid,"pf",var3didin(11))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'pf'
          endif
 
       ierr=nf90_inq_varid(nid,"theta",var3didin(12))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'theta'
          endif
 
       ierr=nf90_inq_varid(nid,"qv",var3didin(13))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
       ierr=nf90_inq_varid(nid,"u",var3didin(14))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
       ierr=nf90_inq_varid(nid,"v",var3didin(15))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
       ierr=nf90_inq_varid(nid,"o3mmr",var3didin(16))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'o3'
          endif
 
       ierr=nf90_inq_varid(nid,"shf",var3didin(2))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'shf'
          endif
 
       ierr=nf90_inq_varid(nid,"lhf",var3didin(3))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'lhf'
          endif
       
       ierr=nf90_inq_varid(nid,"lwup",var3didin(4))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'lwup'
          endif
 
       ierr=nf90_inq_varid(nid,"swup",var3didin(5))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'dqtdx'
          endif
 
       ierr=nf90_inq_varid(nid,"Tg",var3didin(6))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'Tg'
       endif
 
       ierr=nf90_inq_varid(nid,"ustar",var3didin(7))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'ustar'
       endif
 
       ierr=nf90_inq_varid(nid,"psurf",var3didin(8))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'psurf'
       endif
 
       ierr=nf90_inq_varid(nid,"Ug",var3didin(9))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'Ug'
       endif
 
       ierr=nf90_inq_varid(nid,"Vg",var3didin(10))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'Vg'
       endif
 
       ierr=nf90_inq_varid(nid,"hadvT",var3didin(17))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hadvT'
       endif
 
       ierr=nf90_inq_varid(nid,"hadvq",var3didin(18))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hadvq'
       endif
 
       ierr=nf90_inq_varid(nid,"hadvu",var3didin(19))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hadvu'
       endif
 
       ierr=nf90_inq_varid(nid,"hadvv",var3didin(20))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hadvv'
       endif
 
       ierr=nf90_inq_varid(nid,"w",var3didin(21))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'w'
       endif
 
       ierr=nf90_inq_varid(nid,"omega",var3didin(22))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'omega'
       endif
@@ -2550,23 +2539,23 @@
  
          ierr = nf90_get_var(nid,var3didin(1),zz)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture zz ok',zz
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture zz ok',zz
  
          ierr = nf90_get_var(nid,var3didin(11),pres)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture pres ok',pres
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture pres ok',pres
 
          ierr = nf90_get_var(nid,var3didin(12),th)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture th ok',th
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture th ok',th
            do k=1,nlevel
              t(k)=th(k)*(pres(k)/pzero)**rkappa
@@ -2574,138 +2563,138 @@
 
          ierr = nf90_get_var(nid,var3didin(13),qv)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture qv ok',qv
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture qv ok',qv
  
          ierr = nf90_get_var(nid,var3didin(14),u)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture u ok',u
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture u ok',u
 
          ierr = nf90_get_var(nid,var3didin(15),v)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture v ok',v
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture v ok',v
 
          ierr = nf90_get_var(nid,var3didin(16),o3)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture o3 ok',o3
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture o3 ok',o3
 
          ierr = nf90_get_var(nid,var3didin(2),shf)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture shf ok',shf
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture shf ok',shf
 
          ierr = nf90_get_var(nid,var3didin(3),lhf)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture lhf ok',lhf
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture lhf ok',lhf
 
          ierr = nf90_get_var(nid,var3didin(4),lwup)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture lwup ok',lwup
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture lwup ok',lwup
 
          ierr = nf90_get_var(nid,var3didin(5),swup)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture swup ok',swup
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture swup ok',swup
 
          ierr = nf90_get_var(nid,var3didin(6),tg)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture tg ok',tg
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture tg ok',tg
 
          ierr = nf90_get_var(nid,var3didin(7),ustar)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture ustar ok',ustar
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture ustar ok',ustar
 
          ierr = nf90_get_var(nid,var3didin(8),psurf)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture psurf ok',psurf
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture psurf ok',psurf
 
          ierr = nf90_get_var(nid,var3didin(9),ug)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture ug ok',ug
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture ug ok',ug
 
          ierr = nf90_get_var(nid,var3didin(10),vg)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture vg ok',vg
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture vg ok',vg
 
          ierr = nf90_get_var(nid,var3didin(17),hadvt)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture hadvt ok',hadvt
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture hadvt ok',hadvt
 
          ierr = nf90_get_var(nid,var3didin(18),hadvq)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture hadvq ok',hadvq
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture hadvq ok',hadvq
 
          ierr = nf90_get_var(nid,var3didin(19),hadvu)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture hadvu ok',hadvu
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture hadvu ok',hadvu
 
          ierr = nf90_get_var(nid,var3didin(20),hadvv)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture hadvv ok',hadvv
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture hadvv ok',hadvv
 
          ierr = nf90_get_var(nid,var3didin(21),w)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture w ok',w
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture w ok',w
 
          ierr = nf90_get_var(nid,var3didin(22),omega)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture omega ok',omega
-
-
-         end subroutine read_dice
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture omega ok',omega
+
+
+         END SUBROUTINE read_dice
 !=====================================================================
       subroutine read_gabls4(fich_gabls4,nlevel,ntime,nsol                    &
